#!/bin/sh
# This script walks the X terminal setup directory and update
# the /etc/hosts file
rm -f /tmp/hosts
cp /etc/hosts /tmp/hosts
for i in /var/xterminals/*.*.*.*
do
	NAMEFILE=$i/sysconfig/TERMNAME
	if [ -d $i -a -f $NAMEFILE ] ; then
		TERMNAME=`cat $NAMEFILE`
		IP=`basename $i`
		grep -v $IP /tmp/hosts >/tmp/hosts.new
		echo $IP term-$TERMNAME >>/tmp/hosts.new
		mv /tmp/hosts.new /tmp/hosts
	fi
done
echo
echo The file /tmp/hosts has been produced
echo Check it out. If it is ok, then replace /etc/hosts
echo with it.
echo

